Bug 138704 - with 3-0.20041109 rhn-applet refuses to start
Summary: with 3-0.20041109 rhn-applet refuses to start
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhn-applet   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-10 19:49 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 23:08:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-11-10 19:49:45 UTC
Description of problem:

In the current development set an attempt to start rhn-applet
ends up with the following traceback:

Traceback (most recent call last):
  File "/usr/bin/rhn-applet-tui", line 21, in ?
    from rhn_applet_model import rhnAppletModelTUI
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 19, in ?
    from rhn_applet_yum import rhnAppletYum
  File "/usr/share/rhn/rhn_applet/rhn_applet_yum.py", line 27, in ?
    import rhn_applet_protocols
  File "/usr/share/rhn/rhn_applet/rhn_applet_protocols.py", line 18, in ?
    import rhn.connections
ImportError: No module named rhn.connections

What was supposed to provide 'rhn.connections'?  rhpl?

Version-Release number of selected component (if applicable):
rhn-applet-2.1.16-1

Comment 1 John Thacker 2006-10-29 22:37:31 UTC
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.


Note You need to log in before you can comment on or make changes to this bug.